commit:     a1946d1b15c132c93c232cc13700665235f763ed
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 03:51:46 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 03:52:03 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1946d1b

dev-util/txt2regex: EAPI 5 bump. Remove suspicious use of einstall. Fixes bug 
521548.

Package-Manager: portage-2.2.18
RepoMan-Options: --force
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 .../{txt2regex-0.8-r1.ebuild => txt2regex-0.8-r2.ebuild}     | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/dev-util/txt2regex/txt2regex-0.8-r1.ebuild 
b/dev-util/txt2regex/txt2regex-0.8-r2.ebuild
similarity index 76%
rename from dev-util/txt2regex/txt2regex-0.8-r1.ebuild
rename to dev-util/txt2regex/txt2regex-0.8-r2.ebuild
index ba29402..0fbea1e 100644
--- a/dev-util/txt2regex/txt2regex-0.8-r1.ebuild
+++ b/dev-util/txt2regex/txt2regex-0.8-r2.ebuild
@@ -1,7 +1,9 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
+EAPI=5
+
 inherit eutils
 
 DESCRIPTION="A Regular Expression wizard that converts human sentences to 
regexs"
@@ -10,22 +12,20 @@ SRC_URI="http://txt2regex.sourceforge.net/${P}.tgz";
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="alpha amd64 hppa ~mips ~ppc sparc x86"
+KEYWORDS="alpha amd64 hppa mips ppc ppc64 sparc x86"
 IUSE="nls cjk"
 
 DEPEND="nls? ( sys-devel/gettext )"
 RDEPEND=">=app-shells/bash-2.04"
 
-src_unpack() {
-       unpack ${A}
-       cd "${S}"
+src_prepare() {
        # See bug 93568
        use nls || epatch "${FILESDIR}"/${P}-disable-nls.patch
        use cjk && sed -i -e 's/\xa4/:+:/g' "${S}"/${P}.sh
 }
 
 src_install() {
-       einstall DESTDIR="${D}" MANDIR="${D}"/usr/share/man/man1 || die
+       emake DESTDIR="${D}" MANDIR="${D}"/usr/share/man/man1 || die
        dodoc Changelog NEWS README README.japanese TODO || die
        newman txt2regex.man txt2regex.6 || die
 }

Reply via email to